List brands
curl --request GET \
--url https://www.trybloom.ai/api/v1/brands \
--header 'x-api-key: <api-key>'import requests
url = "https://www.trybloom.ai/api/v1/brands"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.trybloom.ai/api/v1/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"brands": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"imageCount": 123,
"workspaceId": "<string>",
"workspaceName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>",
"hasMore": true
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Plan upgrade required",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Rate limit exceeded",
"data": "<unknown>"
}Brands
List brands
List brand sessions with cursor-based pagination. Use the returned IDs as brandSessionId when generating images.
GET
/
brands
List brands
Authorizations
apiKeybearer
Bloom API key, for example x-api-key: bloom_sk_....
Query Parameters
Team workspace ID. Scopes results to that workspace. Omit to list across every workspace the caller can see.
Minimum string length:
1Results per page (1–100, default 50)
Required range:
1 <= x <= 100Pagination cursor from a previous response's nextCursor
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I